Home | All Classes | Grouped Classes | Index | Search

# CL_CommandLine::add_option

Adds a option to the parser

    	void add_option(
    		int key, const std::string& long_option, const std::string& argument, const std::string& help, bool visible = true);

Parameters:

key
  a letter for a short-option or a numeric valuelarger than 255 that identifies the option
long_option
  the long name of this option or "" if nonshould be used for this option
argument
  the type of the argument that this optionrequires (i.e. FILE, SIZE, WIDTH, etc.) or "" if no argument isrequired
help
  the help string for this option
visible
  true if the option should be listed in the helpoutput, false will not list it in the help output which mightbe usefull for cheat-options or backward-compability optionsthan would only clutter the help output

See also:

CL_CommandLine

Questions or comments, write to the ClanLib mailing list.